GeneralRingNonZeroRandIter< Ring, RandIter > Class Template Reference

Random iterator for nonzero random numbers. More...

`#include <givranditer.h>`

## Detailed Description

template<class Ring, class RandIter = typename Ring::RandIter>
class Givaro::GeneralRingNonZeroRandIter< Ring, RandIter >

Random iterator for nonzero random numbers.

Wraps around an existing random iterator and ensures that the output is entirely nonzero numbers. Imported from FFLAS-FFPACK NonzeroRandIter - AB 2015-01-12

The documentation for this class was generated from the following file:

- givranditer.h